package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.CompanyContacts;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CompanyContactsDAO {
	int insert(CompanyContacts entity);
	int update(CompanyContacts entity);
	int exist(String id);
	CompanyContacts get(String id);
	int delete(String id);
	List<CompanyContacts> list();
	List<CompanyContacts> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<CompanyContacts> findByCompanyId(String companyId);
}